snd_rawmidi_receive
Prev | Chapter 24. Sound Devices | Next

## Name

snd_rawmidi_receive — receive the input data from the device

## Synopsis

`int snd_rawmidi_receive (` | struct snd_rawmidi_substream * | substream,
| const unsigned char * | buffer,
| int | count`)`;

## Arguments

`substream`

  the rawmidi substream

`buffer`

  the buffer pointer

`count`

  the data size to read

## Description

Reads the data from the internal buffer.

Returns the size of read data, or a negative error code on failure.

Prev | Up | Next
snd_info_register | Home | snd_rawmidi_transmit_empty